Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.cache
Class WeakRefFilesCache

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.cache.AbstractFilesCache
              org.apache.commons.vfs.cache.SoftRefFilesCache
                  org.apache.commons.vfs.cache.WeakRefFilesCache

All Implemented Interfaces:
  FilesCache, VfsComponent

public class WeakRefFilesCache
extends SoftRefFilesCache

This implementation caches every file as long as it is strongly reachable by the java vm. As soon as the object is no longer reachable it will be discarded. In contrast to the SoftRefFilesCache this implementation might free resources faster as it don't wait until a memory limitation.

Version:
  $Revision: 485638 $ $Date: 2005-09-30 09:02:41 +0200 (Fr, 30 Sep 2005) $
Author:
  Mario Ivankovits
See Also:
  `WeakReference`

Constructor Summary
`WeakRefFilesCache()`

Method Summary
`protected Reference` | `createReference(FileObject file, ReferenceQueue refqueue)`

Methods inherited from class org.apache.commons.vfs.cache.SoftRefFilesCache
`clear, close, getFile, getOrCreateFilesystemCache, putFile, removeFile, touchFile`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakRefFilesCache

    public WeakRefFilesCache()

Method Detail

### createReference

    protected Reference createReference(FileObject file,
                                        ReferenceQueue refqueue)

  Overrides:
    `createReference` in class `SoftRefFilesCache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.